Description: added .pc and debian to exclude/filter clauses
Origin: vendor
Forwarded: not-needed
Author: Nicholas Bamber <nicholas@periapt.co.uk>
Reviewed-by: Alessandro Ghedini <ghedo@debian.org>, gregor herrmann <gregoa@debian.org>
Last-Update: 2023-02-04

--- a/t/01_selftest.t
+++ b/t/01_selftest.t
@@ -28,7 +28,7 @@
 open $fh ,'>',$file2 and close $fh;
 
 Test::CheckManifest::_not_ok_manifest('expected: Manifest not ok');
-ok_manifest({filter => [qr/\.(?:svn|git|build)/]},'Filter: \.(?:svn|git|build)');
+ok_manifest({filter => [qr/\.(?:svn|git|build)/, qr/debian/, qr/\.pc/]},'Filter: \.(?:svn|git|build)');
 Test::CheckManifest::_not_ok_manifest({exclude => ['/.git/']},'expected: Manifest not ok (Exclude /.git/)');
 
 mkdir $dir2;
@@ -42,7 +42,7 @@
 
 Test::CheckManifest::_not_ok_manifest({
     filter  => [qr/\.git|blib/],
-    exclude => ['/t/test'],
+    exclude => ['/t/test','/debian','/.pc'],
     verbose => 1,
 }, 'filter OR exclude - test.svn is missing in MANIFEST');
 
@@ -50,12 +50,12 @@
 
 ok_manifest({
     filter  => [qr/\.(git|build)/],
-    exclude => ['/t/test'],
+    exclude => ['/t/test','/debian','/.pc'],
 }, 'filter OR exclude');
 
 unlink $file3;
 
-ok_manifest({filter => [qr/\.git/, qr/\.svn/, qr/\.build/ ]},'Filter \.git or \.svn');
+ok_manifest({filter => [qr/\.git/, qr/\.svn/, qr/\.build/, qr/\.pc/, qr/debian/ ]},'Filter \.git or \.svn');
 
 unlink $file1;
 rmdir  $dir;
--- a/t/extra/02_test_in_subdirectory.t
+++ b/t/extra/02_test_in_subdirectory.t
@@ -9,6 +9,6 @@
 eval { use Test::CheckManifest tests => 1 };
 plan skip_all => "Test::CheckManifest required" if $@;
 
-ok_manifest({filter => [qr/\.(?:svn|git|build)/]},'Filter: \.(?:svn|git)');
+ok_manifest({filter => [qr/\.(?:svn|git|build)/, qr/\.pc/, qr/debian/]},'Filter: \.(?:svn|git)');
 
 
--- a/t/xt/02_issue1.t
+++ b/t/xt/02_issue1.t
@@ -8,7 +8,7 @@
 
 {
     my $dir = Cwd::getcwd();
-    ok_manifest({ filter => [ qr/\.(git|build)/, qr/Test-CheckManifest-/ ], dir => $dir });
+    ok_manifest({ filter => [ qr/\.(git|build)/, qr/Test-CheckManifest-/, qr/debian/, qr/\.pc/ ], dir => $dir });
 
 }
 
